RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MemberAccessException System.Runtime.InteropServices.ComVisible(true)

Normally a compilation error is generated if the code attempts to access a nonexistent member of a class. is designed to handle cases where a field or a method is deleted or renamed in one assembly and the change is not reflected in a second assembly. At runtime, will be thrown when the code in the second assembly attempts to access the missing member in the first assembly.

is the base class for and . In general it is better to use one of the derived classes of to more precisely indicate the exact nature of the error. Throw a if you are only interested in capturing the general case of a missing member error.

uses the HRESULT COR_E_MISSINGMEMBER, that has the value 0x80131512.

For a list of initial property values for an instance of , see the constructors.

The exception that is thrown when there is an attempt to dynamically access a class member that does not exist.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "Attempted to access a missing member." This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The localized error message string.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The content of the parameter should be understandable by the user. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The error message string.

  Initializes a new instance of the class with a specified error message.

  The message that describes the error.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and Soap Serialization.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception can include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or a null reference (Nothing in Visual Basic) if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the root cause of this exception.

  The error message that explains the reason for the exception.
  An instance of that is the cause of the current Exception. If is not a null reference (Nothing in Visual Basic), then the current Exception is raised in a catch block handling .
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified class name and member name.

  The name of the class in which access to a nonexistent member was attempted.
  The name of the member that cannot be accessed.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Holds the class name of the missing member.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  sets a with all the exception object data targeted for serialization. During deserialization, the exception object is reconstituted from the transmitted over the stream.

  For more information, see .

  Sets the object with the class name, the member name, the signature of the missing member, and additional exception information.

  The object that holds the serialized object data. The contextual information about the source or destination.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Holds the name of the missing member.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the class name is not specified when the object is constructed, the default text string inherited from the base class is returned.

  This property overrides . The error message should be localized.

  This property is read-only.

  Gets the text string showing the class name, the member name, and the signature of the missing member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  contains a value that represents the signature of the missing member.

  is used to format the signature. For additional information, see , , and .

  Holds the signature of the missing member.

0